ModernLoop Internal API
Apipylon

Update a Pylon tag (PATCH /tags/{id})

Write operation: mutates state in the upstream service.

curl -X PATCH "https://api.modernloop.dev/rest/v1/pylon/tags/string" \  -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "string",    "value": "string",    "hex_color": "string",    "object_type": "string"  },  "request_id": "string"}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Resource UUID or external identifier

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

value?string
hex_color?string

Response Body

application/json

application/json

application/json

application/json

application/json